POST /inbox/posts/{postId}/like

Like a post as the account, where supported (else 400 not_supported). postId: the platform post id (a Postgale post id works for posts it published). Queued for approval (202) while approval applies

POST
/inbox/posts/{postId}/like

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

postId*string

Platform post id

Request Body

application/json
  1. body
accountId*string

Connected account id (must belong to the key's organization)

reactionType?string

LinkedIn: the reaction to create (default LIKE)

Value in"LIKE""PRAISE""EMPATHY""INTEREST""APPRECIATION""ENTERTAINMENT"

Response Body

{accountId, platformPostId, liked}

application/json
  1. response
accountId?string
platformPostId?string
liked?boolean
Example Request
curl -X POST 'https://example.com/api/v1/inbox/posts/string/like' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string"}'
Example Response
{  "accountId": "string",  "platformPostId": "string",  "liked": true}